from bot_data.abc.history_table_abc import HistoryTableABC


class TechnicianIdConfigHistory(HistoryTableABC):
    def __init__(
        self,
        technician_id: int,
        deleted: bool,
        date_from: str,
        date_to: str,
        id=0,
    ):
        HistoryTableABC.__init__(self)

        self._id = id
        self._technician_id = technician_id

        self._deleted = deleted
        self._date_from = date_from
        self._date_to = date_to

    @property
    def technician_id(self) -> int:
        return self._technician_id

    @technician_id.setter
    def technician_id(self, value: int):
        self._technician_id = value
